Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224234 - SystemError: lvcreate failed for LogVol01
Summary: SystemError: lvcreate failed for LogVol01
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 18:44 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-22 16:31:42 UTC


Attachments (Terms of Use)
anaconda dump (deleted)
2007-01-24 18:44 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2007-01-24 18:44:49 UTC
Description of problem:

Today's rawhide:

Traceback (most recent call first):
  File "/usr/lib/anaconda/fsset.py", line 2343, in setupDevice
    raise SystemError, "lvcreate failed for %s" %(self.name,)
  File "/usr/lib/anaconda/fsset.py", line 1641, in createLogicalVolumes
    entry.device.setupDevice(chroot, vgdevice = vg)
  File "/usr/lib/anaconda/packages.py", line 141, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 201, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 124, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 541, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 958, in <module>
    anaconda.intf.run(anaconda)
SystemError: lvcreate failed for LogVol01

Local variables in innermost frame:
devPrefix: /tmp
self: <fsset.LogicalVolumeDevice instance at 0x990beec>
vgdevice: <fsset.VolumeGroupDevice instance at 0x990bdec>
chroot: /mnt/sysimage
rc: 3

Comment 1 Orion Poplawski 2007-01-24 18:44:49 UTC
Created attachment 146433 [details]
anaconda dump

Comment 2 Orion Poplawski 2007-02-12 17:51:25 UTC
Okay, debugging a bit more, lvcreate is called with:

lvm lvcreate -L self.size -n self.name -An self.vgname

and self.size is -32, so this looks like a bug in anaconda.

Kickstart is:

bootloader --location=mbr --driveorder=sda
clearpart --linux --drives=sda
part /boot --fstype ext3 --size=50
part pv.1 --size 4800 --grow
volgroup rootvg pv.1
logvol / --vgname=rootvg --size=512 --name=root
logvol swap --fstype=swap --vgname=rootvg --recommended --name=swap
logvol /usr --vgname=rootvg --size=4500 --name=usr
logvol /var --vgname=rootvg --size=512 --name=var
logvol /export/data1 --vgname=rootvg --size=1 --name=data1 --grow


Comment 3 Orion Poplawski 2007-02-12 20:37:22 UTC
Looks like we're ending up with two swap requests:

, LV Request -- mountpoint: None  uniqueID: 14
  type: swap  format: 1  badblocks: None
  size: -32  lvname: LogVol01  volgroup: 13
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint:   uniqueID: 17
  type: swap  format: True  badblocks: None
  size: 512  lvname: swap  volgroup: 100001
  bytesPerInode: 4096  options: 'None'


Comment 4 Orion Poplawski 2007-02-22 16:31:42 UTC
Working in today's rawhide.


Note You need to log in before you can comment on or make changes to this bug.